org.eclipse.cdt.core.dom.ast

## Interface IBasicType

All Superinterfaces:
  java.lang.Cloneable, IType

All Known Subinterfaces:
  ICBasicType, ICPPBasicType, IGPPBasicType

    public interface IBasicType
    extends IType

Interface for basic types.

### Nested Class Summary

Nested Classes
`static class` `IBasicType.Kind`

### Field Summary

Fields
`static int` `IS_COMPLEX`
`static int` `IS_IMAGINARY`
`static int` `IS_LONG`
`static int` `IS_LONG_LONG`
`static int` `IS_SHORT`
`static int` `IS_SIGNED`
`static int` `IS_UNSIGNED`
`static int` `t_char` Deprecated. Use the type-safe version getKind(), instead.
`static int` `t_double` Deprecated. Use the type-safe version getKind(), instead.
`static int` `t_float` Deprecated. Use the type-safe version getKind(), instead.
`static int` `t_int` Deprecated. Use the type-safe version getKind(), instead.
`static int` `t_unspecified` Deprecated. Use the type-safe version getKind(), instead.
`static int` `t_void` Deprecated. Use the type-safe version getKind(), instead.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`IBasicType.Kind` `getKind()` This returns the kind of basic type you are looking at.
`int` `getModifiers()` This returns the combination of modifier bits for this type.
`int` `getType()` Deprecated. Use the type-safe version getKind(), instead.
`IASTExpression` `getValue()` Deprecated. Types don't have values.
`boolean` `isComplex()` Is complex number?
`boolean` `isImaginary()` Is imaginary number?
`boolean` `isLong()`
`boolean` `isLongLong()`
`boolean` `isShort()`
`boolean` `isSigned()`
`boolean` `isUnsigned()`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Field Detail

#### IS_LONG

    static final int IS_LONG

Since:
  5.2
See Also:
  Constant Field Values

#### IS_SHORT

    static final int IS_SHORT

Since:
  5.2
See Also:
  Constant Field Values

#### IS_SIGNED

    static final int IS_SIGNED

Since:
  5.2
See Also:
  Constant Field Values

#### IS_UNSIGNED

    static final int IS_UNSIGNED

Since:
  5.2
See Also:
  Constant Field Values

#### IS_COMPLEX

    static final int IS_COMPLEX

Since:
  5.2
See Also:
  Constant Field Values

#### IS_IMAGINARY

    static final int IS_IMAGINARY

Since:
  5.2
See Also:
  Constant Field Values

#### IS_LONG_LONG

    static final int IS_LONG_LONG

Since:
  5.2
See Also:
  Constant Field Values

#### t_unspecified

    @Deprecated
    static final int t_unspecified

Deprecated. Use the type-safe version getKind(), instead.

See Also:
  Constant Field Values

#### t_void

    @Deprecated
    static final int t_void

Deprecated. Use the type-safe version getKind(), instead.

See Also:
  Constant Field Values

#### t_char

    @Deprecated
    static final int t_char

Deprecated. Use the type-safe version getKind(), instead.

See Also:
  Constant Field Values

#### t_int

    @Deprecated
    static final int t_int

Deprecated. Use the type-safe version getKind(), instead.

See Also:
  Constant Field Values

#### t_float

    @Deprecated
    static final int t_float

Deprecated. Use the type-safe version getKind(), instead.

See Also:
  Constant Field Values

#### t_double

    @Deprecated
    static final int t_double

Deprecated. Use the type-safe version getKind(), instead.

See Also:
  Constant Field Values

### Method Detail

#### getKind

    IBasicType.Kind getKind()

This returns the kind of basic type you are looking at. The type is then refined by qualifiers for signed/unsigned and short/long/long long.

Since:
  5.2

#### getModifiers

    int getModifiers()

This returns the combination of modifier bits for this type.

Since:
  5.2

#### isSigned

    boolean isSigned()

#### isUnsigned

    boolean isUnsigned()

#### isShort

    boolean isShort()

#### isLong

    boolean isLong()

#### isLongLong

    boolean isLongLong()

Since:
  5.2

#### isComplex

    boolean isComplex()

Is complex number? e.g. _Complex t;

Returns:
  true if it is a complex number, false otherwise
Since:
  5.2

#### isImaginary

    boolean isImaginary()

Is imaginary number? e.g. _Imaginr

Returns:
  true if it is an imaginary number, false otherwise
Since:
  5.2

#### getType

    @Deprecated
    int getType()
                     throws DOMException

Deprecated. Use the type-safe version getKind(), instead.

Throws:
  `DOMException`

#### getValue

    @Deprecated
    IASTExpression getValue()
                                 throws DOMException

Deprecated. Types don't have values.

Throws:
  `DOMException`